# Accommodation review scores

This endpoint returns score distribution and score breakdown for the specified accommodations. The scores information can be filtered by reviewer parameters and languages.

Endpoint: POST /accommodations/reviews/scores
Version: 3.1
Security: BearerAuth

## Header parameters:

  - `X-Affiliate-Id` (integer, required)
    Include here your Affiliate identifier number

## Request fields (application/json):

  - `accommodations` (array, required)

  - `languages` (array)
    Limits reviews to those written in this language.
    Example: ["en-us"]

  - `reviewer` (object)

  - `reviewer.countries` (array)
    Limits reviews to those written by reviewer from the given country.
    Example: ["nl"]

  - `reviewer.travel_purposes` (array)
    Limits reviews to those written by specific travel purposes.
    Enum: "business", "leisure"

  - `reviewer.types` (array)
    Limits reviews to those written by specific reviewer type.
    Enum: "couple", "extended_group", "family_with_children", "solo_traveller"

## Response 200 fields (application/json):

  - `request_id` (string)
    Uniquely identifies the request. Please provide this identifier when contacting support.

  - `data` (array)

  - `data.id` (integer)
    A signed integer number that uniquely identifies an accommodation property. The full list can be obtained by calling [accommodations/details](/demand/docs/open-api/demand-api/accommodations/accommodations/details).

  - `data.breakdown` (object)
    Review scores breakdown for each criteria. List of criteria includes: cleanliness, comfort, facilities, free_wifi, location, staff, value_for_money.

  - `data.breakdown.^(cleanliness|comfort|facilities|free_wifi|location|staff|value_for_money)$` (object)

  - `data.breakdown.^(cleanliness|comfort|facilities|free_wifi|location|staff|value_for_money)$.number_of_reviews` (integer)
    Number of reviews for this criteria.

  - `data.breakdown.^(cleanliness|comfort|facilities|free_wifi|location|staff|value_for_money)$.score` (number)
    A decimal number indicating the review score of this criteria, in the range 1..10.

  - `data.distribution` (object)
    Overall score distribution for each score (1-10).

  - `data.distribution.^[1-9]|10$` (object)

  - `data.distribution.^[1-9]|10$.number_of_reviews` (integer)
    Number of reviews with this score.

  - `data.distribution.^[1-9]|10$.percentage` (number)
    Percent of score distribution for this score.

  - `data.number_of_reviews` (integer)
    Number of validated reviews for this accommodation.

  - `data.score` (number)
    A decimal number indicating the current review score of this accommodation property, in the range 1..10.

  - `data.url` (string)
    Internet address for the property page on Booking.com.


